Release notes: WebSphere DataPower Integration appliances release 4.0.1

Release notes


Abstract

IBM WebSphere DataPower Integration Appliance XI50 and XI52 and DataPower Integration Blade XI50B firmware release 4.0.1 is available. Compatibility, installation, and other getting-started issues are addressed.

Content


Announcement

The WebSphere DataPower SOA Appliances 4.0.1 product announcements are available as announcement 211-141.

See the announcement for the following information:

  • Detailed product description
  • Product-positioning statement
  • Ordering details

New features and enhancements description


WebSphere DataPower Integration Appliances release 4.0.1 offers the following new features and enhancements and resolved APARs.

For more information, see the referenced topics in the WebSphere DataPower Integration Appliances Version 4.0.1 Information Center available from the DataPower documentation portal.

Enhanced interoperability

  • WebSphere Transformation Extender enhancements
    • Supports Map Audit function and the WTX warnings when transforming maps. For more information, see "Enabling the Map Audit function in the test domain" and "Enabling the support of WTX Warnings in the test domain" in the information center. You can also refer to WebGUI help for details when configuring "xform action" and "XML Manger" object.
    • Supports the WebSphere Transformation Extender Pack for HL7 Version 4.3.2.1 used with IBM WebSphere Transformation Extender Version 8.3.0.4 with limitations on card settings. For full limitations, see Integrating with WebSphere Transformation Extender in the WebSphere DataPower Integration appliances information center. For more information, see the IBM WebSphere Transformation Extender Pack for HL7 Version 4.3.2.1 release notes.

Enhanced security features
  • Tivoli Security Policy Manager
    • Support TSPM 7.1.0.2 method of policy distribution. For more information, see "Distributing the Tivoli Security Policy Manager policy to the DataPower PDP" in the information center.
    • Support of SAML assertions with TSPM. For more information, see "tspm-aaa-mc-map-saml-groups.xsl" in the information center.
  • Tivoli Access Manager
    • Enhanced trace capability. For more information, see "Working with TAM trace files" topic in the information center.
    • New option to automatically restart the TAM client when an error occurs. For more information, see "Creating Tivoli Access Manger objects" topic in the information center.
  • WebSphere Service Registry and Repository (WSRR)
    • New option to automatically synchronize WSRR subscriptions when changes to monitored web services and policy are detected within WSRR server. For more information, see "WSRR Saved Search Subscription" and "WSRR Subscription" in the information center.

Enhanced connectivity
  • MQFTE URL Opener
    Use the MQFTE URL Opener to support MQFTE integration with DataPower services. For more information, see "url-open (MQFTE URLs)" and "backend-url" in the information center.
  • MQFTE Front Side Protocol Handler
    Use the MQFTE Front Side Handler to handle MQFTE protocol communications with DataPower services. For more information, see "Configuring an MQFTE handler" in the information center.

Enhanced administration
  • New search functionality of WebGUI
    The search field in the left navigation bar provides the search function of the WebGUI to query information.

Documentation
  • Added new Self-help resources in the information center
    The self-help resources provide introductions about the links that are available on the welcome pages in the information center. For more information, see "Self-Help Resources".
  • Added new scenarios
    Scenarios are presented as tutorials that introduce the architecture of an FTP poller, SFTP poller, FTP server, and SFTP server, and illustrates the steps for how to use the DataPower appliance as FTP and SFTP client handlers and server handlers.
    For more information, see the tutorial "Use the DataPower appliance with FTP-based messaging".

Resolved APARs


For a list of the APARs that WebSphere DataPower Integration Appliances release 4.0.1 has resolved, see resolved APARs.

Compatibility with earlier releases



Compatibility issues with earlier firmware releases are documented as individual technotes in the Support knowledge base. The following link launches a customized query of the live Support knowledge base. The compatibility issues that are known to exist in the current release of the WebSphere DataPower Integration Appliances are provided.

View known compatibility issues for WebSphere DataPower Integration Appliances

For additional information about problems in current releases, refer to the DataPower support site .

System requirements and product compatibility


For hardware specifications, see the installation documentation for your appliance in the DataPower SOA Appliances Information Center available from the DataPower documentation portal.

Product compatibility

Release 4.0.1 is compatible with the following products:

Application Optimization
Support is provided for the following IBM WebSphere Application Server, Network Deployment (ND) editions for use with Application Optimization: Application Intelligence:

  • ND 6.1.0.27 plus APAR PM11618
  • ND 6.1.0.33 or later
  • ND 7.0.0.7 plus APAR PM11618
  • ND 7.0.0.13 or later
    For more information, see APAR PM11618.
Support is provided for the following IBM WebSphere Application Server, Virtual Enterprise (VE) editions for use with Application Optimization: Application Intelligence:
  • VE 6.1.1.0 plus APAR PM11623, APAR PM07024, 6.1.1.0-WS-WXD-IFPK94777_XD.pak, and 6.1.1.0-WS-WXDOP-IFPM13014.pak
  • VE 6.1.1.2 or greater
    For more information, see APAR PM11623 and PM07024.

Secure Cloud Connector supports the following protocols:
  • SSH-2 protocol defined by IETF RFC 4251

z/OS Communications Server Network Security Services server
z/OS Communications Server, V1R11
  • Support for the sysplex distributor feature requires z/OS Communications Server V1R11 plus APAR PM14365 applied using SMP/E. If a PTF is not available, request a ++APAR from IBM z/OS Communications Server Level 2 support.

Notes
  • For the AO option, ND 6.0 will continue to work with the ODCInfo_ND60.war application. However, this capability is limited to the Intelligent Load Distribution functions that were shipped in DataPower Firmware release 3.8.0. The extended Application Intelligence functions of Application Routing, Group Rollout, and Atomic Rollout require ND 6.1 or ND7.0.

Application and Web servers
Any server that conforms to the standards that the DataPower appliance supports.

Database server
Support provided for the following database servers:
  • DB2: all supported versions up to 9.5
  • Microsoft SQL Server: all supported versions up to 2008
  • Oracle: all supported versions up to 11g R1 (11.1)
  • Sybase: all supported versions up to 15

Information Management System
IBM Information Management System (IMS) Version 9 and 10

LDAP servers
Any LDAP server that is compliant with the following versions:
  • LDAP Version 2
  • LDAP Version 3 when retrieving CRLs.

Microsoft .NET Windows Communication Foundation
Microsoft .NET Windows Communication Foundation (WCF) integration has the following requirements:
  • WCF 3.5 or newer
  • Windows 2003 Server or newer as the KDC if using the Kerberos token feature.

iSCSI targets
  • Intel iSCSI Software Target Version 2.0.17
  • SourceForge iSCSI Enterprise Target Version 0.4.15 and 1.4.20.1

Note: The Intel iSCSI Software Target Version 2.1.0 is not a supported iSCSI target.

SFTP clients
The following SFTP clients are supported:
  • SSH Secure Shell OpenVMS (V5.5) 3.2.0 - SFTP protocol V3 (Tested on OpenVMS Industry Standard 64 Operating System, Version V8.3 )
  • CuteFTP Professional 8.3
  • OpenSSH 3.9p1 (Red Hat Linux ES V4.8)
  • OpenSSH 4.3p2 (Red Hat Linux ES V5.5)
  • OpenSSH 3.8.1p1 (Windows XP)
  • PuTTY PSFTP, Version 0.60
  • SmartFTP, Version 4.0.
  • Sun Microsystems, Sun_SSH_1.1.1

SSH File Transfer Protocol (SFTP) Support
The supported protocols are as follows:
  • SSH-2 protocol defined by IETF RFC 4251
  • SFTP Version 3 defined by the draft-ietf-secsh-filexfer-02.txt Internet-Draft

TIBCO Enterprise Message Service
TIBCO Enterprise Message Service (EMS), Version 4.3, 4.4, and 5.0

Tivoli Access Manager
IBM Tivoli Access Manager, Version 6.0 and 6.1

Tivoli Federated Identity Manager
IBM Tivoli Federated Identity Manager, Version 6.0.1, 6.1 and 6.2

Tivoli Security Policy Manager
IBM Tivoli Security Policy Manager, Version 7.0 fix pack 2 and Version 7.1.0.2

Web browsers
  • Mozilla Firefox, Version 3.5.x and later
  • Mozilla Firefox, Version 3.6.x and later
  • Microsoft Internet Explorer, Version 7 or 8

WebSphere Java Message Service
IBM WebSphere Java Message Service (JMS), Version 7.0

WebSphere MQ
IBM WebSphere MQ, Version 6.0 and 7.0, as a remote server.
Note: If using MQ with SSL, either upgrade MQ to use GSKit Version 8 or configure the appliance to permit insecure connections. See technote 1469498, "Firmware 4.0.0 changes the default behavior for DataPower SSL connectivity with MQ" for more information.

WebSphere Service Registry and Repository
Support is provided for the following IBM WebSphere Service Registry and Repository releases (minimum versions):
  • WSRR 7.5.0.0 ("Instance prefix" installations are not supported on this firmware release. See technote 1503954, "DataPower has limited support for WSRR 7.5 shared cell topology" for more information.)
  • WSRR 7.0.0.2 (which include APAR IZ71003)
  • WSRR 6.3.0.2 plus APAR IZ71003
  • WSRR 6.2.0.3 plus APAR IZ71003
  • WSRR 6.1.0.5 (limited support for WSRR Subscriptions features. See technote 1503848, "Deprecated features in the 4.0.1 IBM WebSphere DataPower SOA products" for more information.)
  • WSRR 6.0.2.2 (limited support for WSRR Subscriptions features. See technote 1503848, "Deprecated features in the 4.0.1 IBM WebSphere DataPower SOA products" for more information.)

Contact IBM WSRR Support for access to APAR IZ71003 and the recommended fixes
  • Support for WSRR subscriptions' "Automatic" synchronization feature requires WSRR 7.5.0.0 (or higher)
  • Support is provided for WS-Policy Attachment files authored with WSRR Policy Editor 6.2.0.3 plus APAR IZ71003 or later.
  • Supports implementing Web Service Proxy configurations with WSDL files returned from a WSRR Saved Search when the WSRR server is WSRR 6.2.0.3 plus APAR IZ71003 or later.

WebSphere Transformation Extender
  • To create maps or recompile existing maps to run in the recommended DPA (DataPower Appliance) mode with extended support for component rules, use WebSphere Transformation Extender Design Studio Version 8.3.0.2 or later. With Version 8.3.0.2 and later, support for component rules is extended beyond support for constant and ODO-style (OCCURS DEPENDING ON) component rules. Support for component rules has the same restrictions as map rules. With Version 8.3.0.3 or later, support for NULL value is extended to non-XML character text beyond support in binary text.
  • To create maps or recompile existing maps to run in the recommended DPA mode with the more limited support for constant and ODO-style component rules, use one of the following versions of WebSphere Transformation Extender Design Studio:
    • Version 8.3.0.2 or later
    • Version 8.2.0.4 with IF3 or later

XML Tools
Any XML tool that generates XSLT 1.0 for XML-to-XML. For non-XML, WebSphere Transformation Extender (WTX) Version 8.1.0.3 and Version 8.2.0.4.

Installation


For installation instructions, see the installation documentation in the DataPower SOA Appliances Information Center available from the DataPower documentation portal.

Known problems and limitations


Known problems and limitations are documented as individual technotes in the Support knowledge base. As problems are discovered and resolved, the IBM Support team updates the knowledge base. By searching the knowledge base, you can quickly find workarounds or solutions to problems.
The following link launches a customized query of the live Support knowledge base. The limitations and problems that are known to exist in the current release of the WebSphere DataPower Integration Appliances are provided with a workaround, if available.

View known problems and limitation for WebSphere DataPower Integration Appliances

For additional information about problems in current releases, see the DataPower support site.

Deprecated features


This section summarizes deprecated features in the product offerings comprising WebSphere DataPower SOA Appliances release 4.0.1. The following information summarizes what is deprecated. Where possible, a recommended migration action is provided.

View deprecated features for WebSphere DataPower SOA Appliances

No features were removed in this release.

Contacting IBM Support


To report a problem to IBM Support, see Contacting IBM WebSphere DataPower Appliances Support.

Cross reference information
Segment Product Component Platform Version Edition
Business Integration WebSphere DataPower Integration Appliance XI52 Not Applicable Firmware 4.0.1 Edition Independent
Business Integration WebSphere DataPower Integration Blade XI50B General Firmware 4.0.1

Rate this page:

(0 users)Average rating

Document information


More support for:

WebSphere DataPower Integration Appliance XI50

Software version:

4.0.1

Operating system(s):

Firmware

Software edition:

Edition Independent

Reference #:

7021669

Modified date:

2011-06-29

Translate my page

Machine Translation

Content navigation